---
title: 'Comment naviguer en protégeant son intimité'
author: 'François Pelletier / LinuQ'
date: '4 et 11 avril 2019'
---

## Internet: Un réseau complexe

![](Internet-Schema.png)

## Des menaces à l'horizon

![](Internet-Schema-Malveillant.png)

## Le choix du fureteur

- **Réputation** et force de la communauté
- **Contrôle** de son intimité (personnalisation)
- **Indépendance** des grandes firmes informatiques
- Sinon, une expérience clé en main, mais à quel prix ?

## La recommendation de LinuQ

[**Mozilla Firefox**](https://www.mozilla.org/fr/firefox/new/?redirect_source=firefox-com)

![](Firefox-400px.png)

## Pourquoi?

- Logiciel **libre**
- Grande **communauté** de développeurs et utilisateurs
- Stable et respectueux des **normes du web**
- Développé par une fondation à but **non lucratif**
- Large éventail de **modules complémentaires**

## Les cookies, ça mange quoi en hiver ?

![Cookies](PIXNIO-309724-480x513-Cookies.jpg)

Les cookies: 

- Petits fichiers **stockés sur votre ordinateur**
- Contiennent des **traces** de votre navigation
- Permettent, par exemple, de conserver une **session** ouverte. 

## Cookies dans Firefox

- On peut configurer leur usage dans les paramètres de Firefox

![](Firefox-Cookies.png)

- Ils permettent aussi de partager de l'information à des **tierces parties**, dont les fournisseurs de publicité et de contenus (CDN). 
- Facebook en utilise énormément et **déjoue parfois Firefox**. 
    - Pour les bloquer, il faut l'isoler dans son propre monde avec [Facebook Container](https://addons.mozilla.org/en-US/firefox/addon/facebook-container/).

## Les sites web modernes: des machines à vendre de la publicité !

Près de **70%** des sites web envoient des données à Google et près de **30%** à Facebook

![](lemonde-presence-traqueurs.png)

Source: Le Monde

## Les moteurs de recherche

## Ils en savent encore plus sur vous que vous !

- Les moteurs de recherche peuvent **presque tout savoir** sur votre navigation: 
    - C'est avec eux que vous débuterez habituellement votre parcours sur le web. 
- Leur historique permet de dresser un **portrait précis de vous**.

## De vos intérêts

![](opera-594592_640.jpg)

## De votre magasinage

![](woman-3040029_640.jpg)

## De vos habitudes de vie.

![](red-wine-2443699_640.jpg)

## Faire de la recherche sans laisser de traces

Heureusement, plusieurs moteurs de recherche se consacrent à la protection de la vie privée, et **ne gardent pas de traces** de vos recherches.

- [DuckDuckGo](https://duckduckgo.com/)
- [Qwant](https://www.qwant.com/)
- [Startpage (auparavant IxQuick)](https://www.startpage.com/)

On peut configurer le moteur par défaut dans les paramètres de Firefox

![](moteurs_de_recherche.png)

## Les modules pour les navigateurs

Le navigateur Firefox peux être amélioré à l'aide de nombreux modules et extensions.

Pour accéder à la page des modules:

![](Firefox-menu-modules.png)

## Consulter les extensions déjà installées

![](extensions_firefox.png)

## Chiffrer ses communications

- [HTTPS Everywhere](https://addons.mozilla.org/fr/firefox/addon/https-everywhere/) permet d'utiliser le plus possible le **protocole sécurité HTTPS**, celui qui affiche le symbole de cadenas dans la barre d'adresse

![](https-duckduckgo.png)

## Bloquer les publicités et les contenus indésirables

Le fait de **demander** une publicité informe le fournisseur (Google, Facebook) de vos habitudes de navigation, même si elle ne s'affiche pas.

Le navigateur doit **éviter de contacter le serveur de publicité**. Ceci se fait par une liste de bloquage. Ces listes peuvent aussi bloquer de nombreux contenus indésirables.

![](FilterLists.png)

## UBlock Origin

- [UBlock Origin](https://github.com/gorhill/uBlock) effectue très bien ce travail et garde la liste à jour. 

![](UBlock_Origin_Logo.png)

- Un exemple de contenu bloqué sur [https://ici.radio-canada.ca/](https://ici.radio-canada.ca/)

![](UblockOrigin.png)

- **Note**: Faire **attention aux imitations** ayant des noms similaires !

## Privacy Badger

- Il existe aussi le module [Privacy Badger](https://www.eff.org/privacybadger) qui accomplit un travail similaire à UBlock Origin.
- Il est parrainé par l'organisme Electronic Frontier Foundation (EFF)

![](privacy_badger.png)

## Isoler les sites espions et les fournisseurs de contenus

- Certains fournisseurs de publicité vont encore plus loin pour traquer vos habitudes! 
- Ils insèrent des images minuscules et transparentes sur les pages que vous visitez.

Ce sont les **pixels de traquage**. 

![](FacebookPixel.png)

De la même façons, les polices d'écriture et les programmes Javascript hébergés sur les sites de fournisseurs de contenus (CDN) permettent de traquer vos visites.

## Decentraleyes

Pour limiter le recours à ces sites externes, nous recommandons [Decentraleyes](https://decentraleyes.org). 

![](decentraleyes.svg.png)

Cet outil conserve une **copie locale** de ces fichiers et les réutilise autant que possible.

![](Decentraleyes_exemple.png)

## Quelles menaces avons-nous bloqué avec ces modules ?

![](Internet-Schema-Firefox.png)

## Aller plus loin encore: les réseaux privés virtuels (VPN)

- Il existe une technologie qui limite énormément la journalisation de la navigation par les sites web. Ce sont les tunnels VPN. 
- Ils permettent aussi de déjouer: 
    - la censure par les serveurs DNS, 
    - la journalisation par les fournisseurs d'accès Internet
    - l'analyse du trafic web par les agences gouvernementales. 
    
- Ils permettent aussi de sécuriser une connexion effectuée depuis une borne Wifi publique.

- Bref, c'est une protection supplémentaire à ne pas négliger. Les coûts de ces services sont d'environ 5$ par mois.

- LinuQ a une [page complète](https://linuq.org/vie-privee/proteger_navigateur) à ce sujet pour aller plus loin.

## Quoi éviter

- Internet Explorer
- Activation du profil Google dans Chrome
- Les bloqueurs de publicités qui ne font que les remplacer par d'autres publicités
- Les VPN gratuits
- Les sites de contenus viraux

## Et surtout !

- Laisser volontairement des traces partout

![](interaction-1233873_640.jpg)

## Conclusion

- En utilisant le navigateur Firefox et quelques modules complémentaires, on peut grandement améliorer son intimité sur le web.
- Pour en apprendre plus et pour contribuer vos découvertes, visitez notre site au [https://linuq.org](https://linuq.org) et venez nous rencontrer lors de nos activités.
- Pour poser vos questions, je vous invite sur les [forums du libre du Québec](https://forumsdulibre.quebec/)

## Références

- [Firefox - Framalibre](https://archive.framalibre.org/article1365.html)
- [Guide d'auto-défense pour la sécurité](https://ssd.eff.org/fr)
- [Panopticlick](https://panopticlick.eff.org/)
- [Cookies, mouchards : comment vous êtes suivis sur Internet](https://www.lemonde.fr/les-decodeurs/article/2018/03/30/cookies-mouchards-comment-vous-etes-suivis-sur-internet_5278722_4355770.html)